summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2014-11-14 15:41:21 +0100
committerHolger Levsen <holger@layer-acht.org>2014-11-14 15:41:21 +0100
commit28d563df14839706b2e471eb511fb86184904e17 (patch)
tree0959b22f887b558845e21630f695bb1340fcecc0 /bin
parent3ccbc06b192e7e9bc51f861c611c637d61068fb8 (diff)
downloadjenkins.debian.net-28d563df14839706b2e471eb511fb86184904e17.tar.xz
get rid off harmless but confusing error message
Diffstat (limited to 'bin')
-rw-r--r--bin/g-i-installation.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/bin/g-i-installation.sh b/bin/g-i-installation.sh
index 356abed6..660198be 100644
--- a/bin/g-i-installation.sh
+++ b/bin/g-i-installation.sh
@@ -187,7 +187,9 @@ bootstrap_system() {
RELEASE="$(echo $NAME | cut -d "_" -f2)"
if [ "$RELEASE" != "jessie" ] ; then
echo "Workaround to remove swap signature from previous installs, see #757818"
- time sudo dd if=/dev/zero of=$LV bs=4096 || true
+ bs=8192
+ let count="1024*1024*1024*$LV/$bs"
+ time sudo dd if=/dev/zero of=$LV bs=$bs count=$count || true
else
echo "Release $RELEASE detected, where #757818 should be fixed, thus not applying workaround..."
fi